VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Monitoring::MonitoredItemData Class Reference
Inheritance diagram for Com::Vmware::Appliance::Monitoring::MonitoredItemData:

## Avaliable Methods
public method | get_start_time ()
public method | get_end_time ()
public method | set_interval ()
public method | set_function ()
public method | set_name ()
public method | get_data ()
public method | get_interval ()
public method | set_data ()
public method | get_function ()
public method | set_end_time ()
public method | new ()
public method | set_start_time ()
public method | get_name ()

## Detailed Description

`Com::Vmware::Appliance::Monitoring::MonitoredItemData` class Structure representing monitored item data.

## Member Function Documentation

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::get_data | ( |  | ) |

Gets the value of 'data' property.

Return values

  data | - The current value of the field. list of values List#

Code:
click to view
# Number of lines of code in get_data: 4
sub get_data {
my ($self, %args) = @_;
return $self->{'data'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::get_end_time | ( |  | ) |

Gets the value of 'end_time' property.

Return values

  end_time | - The current value of the field. Ending time DateTime#

Code:
click to view
# Number of lines of code in get_end_time: 4
sub get_end_time {
my ($self, %args) = @_;
return $self->{'end_time'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::get_function | ( |  | ) |

Gets the value of 'function' property.

Return values

  function | - The current value of the field. aggregation function FunctionType#

Code:
click to view
# Number of lines of code in get_function: 4
sub get_function {
my ($self, %args) = @_;
return $self->{'function'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::get_interval | ( |  | ) |

Gets the value of 'interval' property.

Return values

  interval | - The current value of the field. interval between values in hours, minutes IntervalType#

Code:
click to view
# Number of lines of code in get_interval: 4
sub get_interval {
my ($self, %args) = @_;
return $self->{'interval'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Monitored item IDs Ex: CPU, MEMORY, STORAGE_TOTAL ID#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::get_start_time | ( |  | ) |

Gets the value of 'start_time' property.

Return values

  start_time | - The current value of the field. Starting time DateTime#

Code:
click to view
# Number of lines of code in get_start_time: 4
sub get_start_time {
my ($self, %args) = @_;
return $self->{'start_time'};
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Monitoring::MonitoredItemData structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{interval} = $args{'interval'};
$self->{function} = $args{'function'};
$self->{start_time} = $args{'start_time'};
$self->{end_time} = $args{'end_time'};
$self->{data} = $args{'data'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Monitoring::MonitoredItemData');
$self->set_binding_name('name' => 'com.vmware.appliance.monitoring.monitored_item_data');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'interval', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance', 'type_name' => 'Monitoring::IntervalType'));
$self->set_binding_field('key' => 'function', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance', 'type_name' => 'Monitoring::FunctionType'));
$self->set_binding_field('key' => 'start_time', 'value' => new Com::Vmware::Vapi::Bindings::Type::DateTimeType());
$self->set_binding_field('key' => 'end_time', 'value' => new Com::Vmware::Vapi::Bindings::Type::DateTimeType());
$self->set_binding_field('key' => 'data', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::set_data | ( |  | ) |

Sets the given value for 'data' property.

Parameters

  data | - New value for the field. list of values

Code:
click to view
# Number of lines of code in set_data: 5
sub set_data {
my ($self, %args) = @_;
$self->{'data'} = $args{'data'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::set_end_time | ( |  | ) |

Sets the given value for 'end_time' property.

Parameters

  end_time | - New value for the field. Ending time

Code:
click to view
# Number of lines of code in set_end_time: 5
sub set_end_time {
my ($self, %args) = @_;
$self->{'end_time'} = $args{'end_time'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::set_function | ( |  | ) |

Sets the given value for 'function' property.

Parameters

  function | - New value for the field. aggregation function

Code:
click to view
# Number of lines of code in set_function: 5
sub set_function {
my ($self, %args) = @_;
$self->{'function'} = $args{'function'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::set_interval | ( |  | ) |

Sets the given value for 'interval' property.

Parameters

  interval | - New value for the field. interval between values in hours, minutes

Code:
click to view
# Number of lines of code in set_interval: 5
sub set_interval {
my ($self, %args) = @_;
$self->{'interval'} = $args{'interval'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Monitored item IDs Ex: CPU, MEMORY, STORAGE_TOTAL

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Appliance::Monitoring::MonitoredItemData::set_start_time | ( |  | ) |

Sets the given value for 'start_time' property.

Parameters

  start_time | - New value for the field. Starting time

Code:
click to view
# Number of lines of code in set_start_time: 5
sub set_start_time {
my ($self, %args) = @_;
$self->{'start_time'} = $args{'start_time'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Monitoring.pm